//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
PAGES
======================================================================================================================================
*/
.c-page__header {
    position: relative;
    padding-top: 10vh;
    height: 100vh;
    min-height: 500px;

    .c-page__image {
        position: absolute;
        bottom: 0;
        right: 0;
        height: 65vh;
        min-height: 300px;
        width: 65vw;
        overflow: hidden;
        .animation__fadein(@duration: 1s, @delay: 1s,);
    }
    @media @media_tablet {
        padding-top: 20vh;

        .c-page__image {
            height: 50vh;
            min-height: initial;
            width: calc(100% ~'-' @margin__m);
            overflow: hidden;
        }   
    }
    @media @media_smartphone {
        padding-top: 120px;
        height: 90vh;
        .c-page__image {
            height: 50vh;
            min-height: 300px;
            width: calc(100% ~'-' @margin__s);
            overflow: hidden;
        }   
    }
}

body.page-template-page-noimage {
    .c-page__header {
        height: 300px;
        min-height: initial;
    }
}

.c-page__title {
    &.isAnimated {
        position: fixed;        
        top: 48px;
        left: @margin__xl;
        font-size: @size__m;
        .animation__title;
    }

    @media @media_tablet {
        font-size: @size__title; 
        line-height: 1em;  
    }
    @media @media_smartphone {
        font-size: @size__xl; 
        line-height: 1em;  
    }
}

.c-page__titleContainer {
    .animation__fadein;
    z-index: @zindexMedium;
    @media @media_tablet {
        padding-left: @margin__m;
        max-width: initial;
    }
    @media @media_smartphone {
        padding-left: @margin__s;
        max-width: initial; 
    }
}

.c-page__body {
    padding-top: @margin__xl;
    padding-bottom: @margin__xl*2;
    background-position: right top 100px;
    background-repeat: no-repeat;
    &.logo {
        background-size: auto 50vw;
        background-image: url('./images/logo_outline.svg');
    }
    &.bancone {
        background-size: auto 40vw;
        background-image: url('./images/bg-bancone.jpg');
    }
    &.fiore {
        background-size: auto 60vw;
        background-image: url('./images/logo-fiore.png');
    }

    @media @media_tablet, @media_smartphone {
        &.logo {
            background-size: auto 100vw;
        }
        &.bancone {
            background-image: none;
        }
        &.fiore {
            background-size: auto 100vw;
        }
    }
    @media @media_tablet {
        padding-bottom: @margin__xl;
    }
    @media @media_smartphone {
        padding-top: @margin__l;
        padding-bottom: @margin__l;
    }
}

// MODULO PARAGRAFO
.c-paragraph {
    max-width: @maxContentWidth;
    margin: @margin__m 0;
}

// MODULO CALENDARIO
.c-calendar {
    margin: @margin__xl 0;
    @media @media_smartphone {
        margin-bottom: @margin__m;
    }
}

.c-calendar__btn {
    position: fixed;
    height: 50px;
    width: 50px;
    bottom: @margin__m;
    right: @margin__m;
    background-color: white;
    z-index: 99;
    background-image: url('./images/icn-aperture.svg');
    background-repeat: no-repeat;
    background-size: 24px;
    background-position: center;
    .u-shadow(@shadow);
    .u-border-radius(100%);
    .animation__fadein(1s, 2s,);
    @media @media_smartphone {
        bottom: @margin__s;
        right: @margin__s;
    }
}

.c-opens__inner {
    .u-flex-display;
    .u-flex-wrap(wrap);
    max-width: @maxContentWidth;
}

.c-opens__title {
    font-size: @size__xl;
}

.c-calendar__note {
    display: none;

}

html[lang="it-IT"] {
    .c-opens__month.it, .c-calendar__note.it {
        display: block;
    } 
}

html[lang="en-US"] {
    .c-opens__month.en, .c-calendar__note.en {
        display: block;
    }
}

html[lang="de-DE"] {
    .c-opens__month.de, .c-calendar__note.de {
        display: block;
    }
}

html[lang="sl-SI"] {
    .c-opens__month.sl, .c-calendar__note.sl {
        display: block;
    }
}

.c-opens {
    width: 20%;
    padding-right: @margin__s;
    padding-bottom: @margin__s;

    .c-opens__month {
        display: none;
        font-size: @size__m;
        font-family: @font_titles;
        font-weight: @font_w__m;
        line-height: 1.1em;
        padding-bottom: 8px;
        border-bottom: solid 2px @color__primary;
        margin: 0 0 12px;
        width: 100%;
    }
    p {
        font-family: @font_titles;
        color: @color__primary;
        font-size: @size__r;
        line-height: 1.1em;
        margin: 0;
    }

    @media @media_tablet {
        margin-bottom: @margin__s*2;
    }
    @media @media_smartphone {
        width: 100%;
        margin-bottom: @margin__s;
    }
}

.home {
   .c-calendar {
       max-width: 1400px;
       margin: 0 auto 200px;
       padding: 0 100px;
       @media @media_smartphone {
           padding: 0 @margin__s;
           margin: 0 auto @margin__l;
       }
   } 
}

// GALLERY
.wp-block-gallery {
    max-width: @maxContentWidth;
    margin: @margin__xl 0;
}

#colorbox.advgb_lightbox {
    #cboxLoadedContent {
        border-width: 2px!important;
    }  
    #cboxClose {
        background-image: url('./images/icn-close.svg')!important;
    }
} 

// LISTA VINI
.c-wineList {
    margin: @margin__xl auto @margin__m;
    .c-wineList__row {
        .u-flex-display;
        margin-bottom: @margin__s;
        @media @media_tablet, @media_smartphone {
            .u-flex-wrap(wrap);
            margin-bottom: @margin__m;
        }
    }
    
    .c-wineList__cel {
        width: 100/4%;
        .u-flex-shrink(0);
        &.texts {
            padding: 0 2vw;
        }
        &.image {
            max-width: 300px;
            img {
                width: 100%;
            }
        }
        .c-wineList__title {
            margin: 0 0 @margin__s/2 0;
        }
        @media @media_landascape {
            &.texts {
                padding: 0 10px 0 15px;
            }
        }
        @media @media_tablet, @media_smartphone {
            width: 100%;
            &.texts {
                padding: 0;
            }
            &.image {
                width: 50%;
                margin-bottom: @margin__s;
            }
        }
        @media @media_smartphone {
    
            &.image {
                width: 100%;
            }
        }
    }
    
    .c-wineList__imageAlt {
        width: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        @media @media_tablet, @media_smartphone {
            height: 0;
            margin-top: @margin__m;
            padding-bottom: 56%;
        }
    }
}

.c-wineList__simple {
    margin: @margin__xl auto @margin__m;

    .u-flex-display;
    .c-wineList__col {
        .u-flex-display;
        .u-flex-direction(column);
    }
    .c-wineList__cel.image {
        margin-right: @margin__s;
        max-width: 400px;
    }

    h5 {
        margin-top: 15px;
        margin-bottom: 0;
    }

    @media @media_tablet, @media_smartphone {
        .u-flex-direction(column);
        .c-wineList__col {
            margin-bottom: @margin__m;
        }
    }
}